## ros-humble-xacro 2.0.8

=== test/CMakeLists.txt ===
# Create dummy ament_index for pytest, such that $(find xacro)/test will point to the current folder
set(TEST_AMENT_INDEX "${CMAKE_CURRENT_BINARY_DIR}/test_ament_index")
file(GENERATE OUTPUT "${TEST_AMENT_INDEX}/share/ament_index/resource_index/packages/${PROJECT_NAME}" CONTENT "")
file(MAKE_DIRECTORY "${TEST_AMENT_INDEX}/share/${PROJECT_NAME}")
execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink
  "${CMAKE_CURRENT_SOURCE_DIR}" "${TEST_AMENT_INDEX}/share/${PROJECT_NAME}/test")

# Finally, run pytest
find_package(ament_cmake_pytest REQUIRED)
ament_add_pytest_test(pytest .
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  ENV AMENT_PREFIX_PATH=${CMAKE_CURRENT_BINARY_DIR}/test_ament_index:$ENV{AMENT_PREFIX_PATH}
  )

add_test(NAME xacro_cmake
  # run test-cmake.sh for subdir test-xacro-cmake
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/test-cmake.sh ${CMAKE_CURRENT_SOURCE_DIR}/test-xacro-cmake
  )

=== debian/changelog ===
ros-humble-xacro (2.0.8-1jammy) jammy; urgency=high

  * Install xacro using console_script entrypoint (#304 <https://github.com/ros/xacro/issues/304>)
  * Provide xacro.process() returning the processed file (#229 <https://github.com/ros/xacro/issues/229>)
  * Dotted YAML access from list iterator (#318 <https://github.com/ros/xacro/issues/318>)
  * Optionally allow comment evaluation (#310 <https://github.com/ros/xacro/issues/310>)Comment evaluation can be enabled with a special comment:
    
      * ``<!-- xacro:eval-comments -->`` or
      * ``<!-- xacro:eval-comments:on -->``
    It remains active for the following comments until:
    
      * the current XML tag's scope is left (or a new tag entered)
      * another tag or non-whitespace text is processed
      * it becomes explicitly disabled via: ``<!-- xacro:eval-comments:off -->``
    
  * Fix property resolution with namespace usage (#308 <https://github.com/ros/xacro/issues/308>)
    
      * Allow access to properties in parent scopes again (fixes #305 <https://github.com/ros/xacro/issues/305#issuecomment-1016811150>)
      * Pick correct scope when defining a property into the parent (fixes #307 <https://github.com/ros/xacro/issues/307>)Setting a property within the parent scope may occur in two contexts:From within a macro. In that case, one wants to set the property in the caller's scope.
        
        From within the included file. In that case, one wants to set the property in the includer's scope.
    
  * Contributors: Chen Bainian, Gonzalo de Pedro, Gonzo, Jacob Perron, Melvin Wang, Robert Haschke, vandanamandlik

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 21 Oct 2022 22:00:00 -0000

ros-humble-xacro (2.0.7-1jammy) jammy; urgency=high

  * Allow more builtin symbols: sorted, set
  * Don't import hidden symbols from math package
  * Fix eval security vulnerability
    - safe_eval()
    - unit tests validating the protection mechanism
  * Generalize yaml !degrees constructors: Enable expressions as well
  * Improve macro arg parsing (#278 <https://github.com/ros/xacro/issues/278>) to support:
    - $(substitution args)
    - ${python expressions}
    - single or double quoting of spaces
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 03 Sep 2021 22:00:00 -0000

ros-humble-xacro (2.0.6-1jammy) jammy; urgency=high

  * [feature] Expose YamlDictWrapper as dotify() to allow dotted access to any dict (#274 <https://github.com/ros/xacro/issues/274>)
  * [fix]     Scoped macro evaluation (#272 <https://github.com/ros/xacro/issues/272>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 29 May 2021 22:00:00 -0000

ros-humble-xacro (2.0.5-1jammy) jammy; urgency=high

  * [fix]     Report correct filename for XML errors (#268 <https://github.com/ros/xacro/issues/268>)
  * [fix]     Python3-compatible property Table (#266 <https://github.com/ros/xacro/issues/266>)
  * [fix]     Use outer-scope symbols to resolve include filename in xacro:include (#264 <https://github.com/ros/xacro/issues/264>)
  * [fix]     Append test directory to existing AMENT_PREFIX_PATH (#260 <https://github.com/ros/xacro/issues/260>)
  * [fix]     yaml loading: recursively wrap lists and dicts for dotted dict access (#258 <https://github.com/ros/xacro/issues/258>)
  * [feature] Provide support for yaml constructors !degrees and !radians (#252 <https://github.com/ros/xacro/issues/252>)
  * Contributors: Chen Bainian, Robert Haschke, G.A. vd. Hoorn

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 01 Mar 2021 23:00:00 -0000

ros-humble-xacro (2.0.3-1jammy) jammy; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.2 and 1.14.3 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 08 Aug 2020 22:00:00 -0000

ros-humble-xacro (2.0.2-1jammy) jammy; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.1, 1.13.5 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 28 Mar 2020 23:00:00 -0000

ros-humble-xacro (2.0.1-1jammy) jammy; urgency=high

  * Revert requiring that all xacro commands are prefixed with 'xacro:' namespace
    Although this is deprecated since #79 <https://github.com/ros/xacro/issues/79>,
    the corresponding deprecation warning wasn't actually issued.
    Thus, we will accept non-prefixed xacro tags until F-turtle.
  * Install to both, bin/xacro and lib/xacro/xacro
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 05 Oct 2019 22:00:00 -0000

ros-humble-xacro (2.0.0-1jammy) jammy; urgency=high

  * PEP8 cleanup
    - code simplifications
    - avoid empty except
    - sort imports
    - format line breaks
  * Code cleanup
    - Removed deprecated options --legacy, --inorder, --check-order, --includes
    - Require all xacro commands to be prefixed with 'xacro:'
    - Added missing copyright notices
    - Removed python2 stuff
  * Adapt Travis config to use colcon
  * Provide ROS2-based replacement for substition args
  * Modified package structure as per ROS2 rules
    - Using ament_cmake
    - Moved source contents from "src/xacro" to "xacro"
    - Modified package.xml and setup.py according to ROS2 requirements
    - Configured completion hook
    - Removed catkin artifacts from cmake extension
  * Contributors: vandanamandlik, Jacob Perron, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 27 Sep 2019 22:00:00 -0000

ros-humble-xacro (1.14.4-1jammy) jammy; urgency=high

  * [fix] Rework YamlDictWrapper to restore dict properties (#250 <https://github.com/ros/xacro/issues/250>)
  * [fix] Ignore underscores when parsing literal numeric values (#247 <https://github.com/ros/xacro/issues/247>)
  * Contributors: Robert Haschke



=== debian/control ===
Source: ros-humble-xacro
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), python3-yaml, ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-index-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/xacro
Standards-Version: 3.9.2

Package: ros-humble-xacro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-humble-ament-index-python, ros-humble-ros-workspace
Description: Xacro (XML Macros) Xacro is an XML macro language.
 With xacro, you can construct shorter and more readable XML files by using macros that expand to larger XML expressions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-xacro//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
